package zall.action.media;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import zall.action.ZalleryAction;
import zall.bean.Folder;
import zall.bean.User;
import zutil.db.DBConnection;
import zutil.ui.UserMessageManager;
import zutil.ui.UserMessageManager.MessageLevel;
import zutil.ui.UserMessageManager.UserMessage;

public class TogglePrivateAction extends ZalleryAction {

    public TogglePrivateAction() {
        super("mkprivate", true);
    }

    @Override
    public void handleRequest(DBConnection db, HttpServletRequest request, HttpServletResponse response, HttpSession session,
                              PrintWriter out, User user, UserMessageManager msgs) throws SQLException, IOException {

        // Toggle folder private
        if (request.getParameter("id") == null) {
            msgs.add(new UserMessage(MessageLevel.ERROR, "Missing parameters!"));
            return;
        }
        long id = Long.parseLong(request.getParameter("id"));
        Folder folder = Folder.load(db, id);

    }
}
